| Home | Libraries | People | FAQ | More

#### iequals

Returns `true` if two strings are equal, using a case-insensitive comparison.

##### Synopsis

Defined in header `<boost/beast/core/string.hpp>`

    bool
    iequals(
        beast::string_view lhs,
        beast::string_view rhs);

##### Description

The case-comparison operation is defined only for low-ASCII characters.

##### Parameters

Name | Description
--- | ---
`lhs` | The string on the left side of the equality
`rhs` | The string on the right side of the equality

Convenience header `<boost/beast/core.hpp>`